import 'package:delivery_app/utils/g.dart' as g;
class Autogenerated {
  late bool success;
  late List<HistoryDetail> data;
  late String message;

  Autogenerated({required this.success,required this.data,required this.message});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    if (json['data'] != null) {
      data = <HistoryDetail>[];
      json['data'].forEach((v) {
        data.add(HistoryDetail.fromJson(v));
      });
    }
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['success'] = success;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    data['message'] = message;
    return data;
  }
}

class HistoryDetail {
  late String customerId;
  late String customerName;
  late String customerAddress;
  late String customerPhone;
  late String sellOrderId;
  late String paymentStatus;
  late String createdAt;
  late String totalPrice;
  late String shopName;
  late String shopAddress;
  late String shopPhone;
  late String status;
  late List<ProductDetail> productDetail;

  HistoryDetail(
      {
        required this.customerId,
        required this.customerName,
        required this.customerAddress,
        required this.customerPhone,
        required this.sellOrderId,
        required this.paymentStatus,
        required this.createdAt,
        required this.totalPrice,
        required this.shopName,
        required this.shopAddress,
        required this.shopPhone,
        required this.status,
        required this.productDetail});

  HistoryDetail.fromJson(Map<String, dynamic> json) {
    customerId = g.convertModelString(json['customer_id']);
    customerName = g.convertModelString(json['customer_name']);
    customerAddress = g.convertModelString(json['customer_address']);
    customerPhone = g.convertModelString(json['customer_phone']);
    sellOrderId = g.convertModelString(json['sell_order_id']);
    paymentStatus = g.convertModelString(json['payment_status']);
    createdAt = g.convertModelString(json['created_at']);
    totalPrice =g.convertModelString( json['total_price']);
    shopName =g.convertModelString( json['shop_name']);
    shopAddress = g.convertModelString(json['shop_address']);
    shopPhone = g.convertModelString(json['shop_phone']);
    status = g.convertModelString(json['status']);
    if (json['product_detail'] != null) {
      productDetail = <ProductDetail>[];
      json['product_detail'].forEach((v) {
        productDetail.add(ProductDetail.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['customer_id'] = customerId;
    data['customer_name'] = customerName;
    data['customer_address'] = customerAddress;
    data['customer_phone'] = customerPhone;
    data['sell_order_id'] = sellOrderId;
    data['payment_status'] = paymentStatus;
    data['created_at'] = createdAt;
    data['total_price'] = totalPrice;
    data['shop_name'] = shopName;
    data['shop_address'] = shopAddress;
    data['shop_phone'] = shopPhone;
    data['status'] = status;
    if (productDetail != null) {
      data['product_detail'] = productDetail.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ProductDetail {
  late String sellOrderId;
  late String productName;
  late String size;
  late String items;
  late String sugar;
  late String cream;

  ProductDetail(
      {
        required this.sellOrderId,
        required this.productName,
        required this.size,
        required this.items,
        required this.sugar,
        required this.cream});

  ProductDetail.fromJson(Map<String, dynamic> json) {
    sellOrderId = g.convertModelString(json['sell_order_id']);
    productName = g.convertModelString(json['product_name']);
    size = g.convertModelString(json['size']);
    items = g.convertModelString(json['items']);
    sugar = g.convertModelString(json['sugar']);
    cream = g.convertModelString(json['cream']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['sell_order_id'] = sellOrderId;
    data['product_name'] = productName;
    data['size'] = size;
    data['items'] = items;
    data['sugar'] = sugar;
    data['cream'] = cream;
    return data;
  }
}
